Page MenuHomeFreeBSD

[NEW PORT] games/avp: Open source re-implementation of Alien versus Predator
ClosedPublic

Authored by pkubaj on Apr 18 2019, 9:38 AM.

Details

Summary

Tested on Poudriere with 10.4-RELEASE and on CURRENT (also played some time on CURRENT).

To run it, you need to rename all the game files to lower-case. You also need to run avp from the game directory (the directory from which you can see avp_huds and avp_rifs subdirs).
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228246

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pkubaj created this revision.Apr 18 2019, 9:38 AM
pkubaj updated this revision to Diff 56331.Apr 18 2019, 10:45 AM

Update maintainer.

mat added inline comments.Apr 18 2019, 1:05 PM
games/avp/Makefile
16 ↗(On Diff #56331)

Wrong place in the Makefile. See Chapter 15. Order of Variables in Port Makefiles.

Could you address the Makfile order change raised by mat.

games/avp/pkg-descr
1 ↗(On Diff #56331)

^ if you can bloat that somewhat, that would be great. If not, works for me.

pkubaj marked an inline comment as done.May 13 2019, 12:35 PM
pkubaj updated this revision to Diff 57358.

USES are moved now.

pkg-desrc contains so little, because there's no project description on its website:
https://icculus.org/avp/

tcberner added inline comments.May 13 2019, 7:55 PM
games/avp/files/patch-CMakeLists.txt
7 ↗(On Diff #57358)

^ this looks hacky. What are you trying to achieve here?

pkubaj added inline comments.May 13 2019, 8:00 PM
games/avp/files/patch-CMakeLists.txt
7 ↗(On Diff #57358)

For some reason, SDL is not detected, even though it's installed and can be linked to by avp. Simply removing this is enough for things to work.

mat added inline comments.May 14 2019, 11:20 AM
games/avp/Makefile
20 ↗(On Diff #57358)

Instead of setting this, you could change the DISVERSIONSUFFIX with:

EXTRACT_SUFX=   -a1.tar.gz
`
pkubaj updated this revision to Diff 57519.May 18 2019, 3:44 AM

Add EXTRACT_SUFX.

pkubaj marked an inline comment as done.May 18 2019, 3:44 AM
mat accepted this revision.May 20 2019, 1:10 PM
mat added inline comments.
games/avp/pkg-descr
1 ↗(On Diff #57519)

pkg-descr should be at least a few lines long.

This revision is now accepted and ready to land.May 20 2019, 1:10 PM
This revision was automatically updated to reflect the committed changes.